5

As per the Sitecore recommendation from the below link Mongo DB 3.2.1 is recommended, but when we look at the Mongo DB we are having 3.2.15 patch update as the latest.

Sitecore Recommendation : https://kb.sitecore.net/articles/633863

Can someone comment whether going forward with latest patch update (3.2.15) has issues with Sitecore 8.2 update 3.

  • From my understanding, MongoDB 3.2 is the major version and everything after this prefix (from 1 to 16) are minor releases with improvements based on the major platform, so you shouldn't face issues while deploying minor releases with Sitecore. However, I didn't find anything that says Sitecore does / does not support 3.2.15 or any other minor release in particular. For more information of release notes here: docs.mongodb.com/manual/release-notes/3.2 – Vinicius Deschamps Aug 22 '17 at 19:56
  • Agree with Vinicius. If the major version is supported along with 3.2.1, I don't see any issues in supporting 3.2.15. – Amitabh Vyas Aug 23 '17 at 14:24
7

I'll use some common sense from another post that I saw here that was about Sitecore 8.2 does not officially support Windows Server 2016 but is it compatible in reality and will it work in production?

Using Mark Cassidy words

It comes down to support

Based on that, I don't think Sitecore wouldn't work with MongoDB 3.2.n - where n goes from 1 to 16 - and you shouldn't face any major issues in doing so.

However, if you ended up facing issues Sitecore support will not be able to help you because accordingly to their compatible table Sitecore 8.2 only supports the following MongoDB version

  • Mongo 2.6 mmapv1
  • Mongo 3.0 mmapv1
  • Mongo 3.0 Wired Tiger
  • Mongo 3.2.1 mmapv1
  • Mongo 3.2.1 Wired Tiger
  • Mongo 3.2.1 Enterprise with data-at-rest encryption (Wired Tiger only)

So, until Sitecore update their compatibility table you cannot blame Sitecore over stuff that they do not support yet.

I truly believe that you should be fine doing it but keep the above in mind.

0

We recently contacted support about this subject, and the answer was, it's not officially supported, but it should work:

According to the mentioned MongoDB compatibility table, Sitecore XP 8.2 is compatible with Mongo 3.2.1. https://kb.sitecore.net/articles/633863

However, you can try to use Mongo 3.2.16. Please note that we didn’t test this version with Sitecore XP 8.2 but I don’t see reasons why it shouldn’t work.

We are planning the upgrade, but haven't done it yet.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.